Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1863048

Summary: implement support for Obsoletes module metadata
Product: [Fedora] Fedora Reporter: Daniel Mach <dmach>
Component: libmodulemdAssignee: amatej
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: jberan, nphilipp, sgallagh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libmodulemd-2.11.0-1.fc33 libmodulemd-2.11.1-1.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-16 01:42:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1834844    

Description Daniel Mach 2020-08-03 14:39:07 UTC
To enable module Obsoletes in the DNF stack, support in modulemd is needed.

Link to the Fedora Change that briefly describes the format:
https://fedoraproject.org/wiki/Changes/Module_Obsoletes_and_EOL

Comment 1 Ben Cotton 2020-08-11 13:51:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Fedora Update System 2020-11-20 21:51:52 UTC
FEDORA-2020-67ea6c13f3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-67ea6c13f3

Comment 3 Fedora Update System 2020-11-20 21:51:53 UTC
FEDORA-EPEL-2020-17e02b5de4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-17e02b5de4

Comment 4 Fedora Update System 2020-11-20 21:51:54 UTC
FEDORA-2020-35df91cb72 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-35df91cb72

Comment 5 Fedora Update System 2020-11-20 21:51:55 UTC
FEDORA-2020-f78339ccff has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f78339ccff

Comment 6 Fedora Update System 2020-11-21 02:43:55 UTC
FEDORA-2020-f78339ccff has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f78339ccff`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f78339ccff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-21 02:46:21 UTC
FEDORA-2020-35df91cb72 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-35df91cb72`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-35df91cb72

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-21 02:48:59 UTC
FEDORA-2020-67ea6c13f3 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-67ea6c13f3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-67ea6c13f3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-11-21 03:25:39 UTC
FEDORA-EPEL-2020-17e02b5de4 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-17e02b5de4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-12-10 18:50:33 UTC
FEDORA-2020-b9d892cb96 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b9d892cb96

Comment 11 Fedora Update System 2020-12-10 18:50:34 UTC
FEDORA-2020-d89f865ef5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d89f865ef5

Comment 12 Fedora Update System 2020-12-10 18:50:35 UTC
FEDORA-EPEL-2020-e8223dc353 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e8223dc353

Comment 13 Fedora Update System 2020-12-11 00:42:02 UTC
FEDORA-2020-b9d892cb96 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b9d892cb96`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b9d892cb96

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-12-11 00:59:42 UTC
FEDORA-2020-d89f865ef5 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d89f865ef5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d89f865ef5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-12-11 01:20:30 UTC
FEDORA-EPEL-2020-e8223dc353 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e8223dc353

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-12-16 01:42:43 UTC
FEDORA-2020-d89f865ef5 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-12-18 01:27:09 UTC
FEDORA-2020-f6910afeec has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f6910afeec`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f6910afeec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-12-18 01:30:55 UTC
FEDORA-EPEL-2020-4ed923c38f has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4ed923c38f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-01-02 00:56:13 UTC
FEDORA-EPEL-2020-4ed923c38f has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2021-01-08 02:50:54 UTC
FEDORA-2020-f6910afeec has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.